Subject: [dhcwg] REMINDER - Notice - DHCPv4 options 128-223 soon to be IANA assignable(RFC 3942)

From: "Bernie Volz" <[email-masked]>
Date: Wed, 9 Mar 2005 22:29:17 -0500

Just a friendly reminder ...
 
Hi:

A new RFC was recently issued, RFC 3942
(http://www.ietf.org/rfc/rfc3942.txt): "Reclassifying DHCPv4 
Options". The document is a product of the IETF DHC WG and 
expands the range of DHCPv4 option numbers that are in the 
IETF/IANA assignable range. The expanded public range reduces 
the site-specific options range that was originally defined 
in RFC 2132..

                       Old ranges            New ranges
IETF/IANA assignable:   1-127                 1-223
Site-specific:          128-254               224-254

So, why might you care about this?

Many vendors have used "site-specific" options in the range 
128-254 for vendor-specific purposes in shipping products. 
And, now that IANA can assign options numbers in the range 
128-223 to future Internet Standard options, we need your 
assistance to prevent potential conflicts in the use of 
option codes in the newly expanded range.

RFC 3942 has a mechanism whereby IANA will not assign any 
option codes in the newly expanded range, 128-223, for 6 
months (this period will end in May 2005). During this 6 
month period, vendors using options in the 128-223 range 
should come forward to let IANA and the DHC WG know of their 
use. IANA can be contacted at mailto:[email-masked] and the 
IETF DHC WG can be contacted at mailto:[email-masked].

The vendor will also need to write an Internet Draft 
documenting that usage and advance that draft to an RFC.  The 
Internet Draft can either be written by the vendor or by the 
vendor providing the material for documenting their usage to 
Bernie Volz (mailto:[email-masked]) for inclusion in a 
general draft documenting several options.

Once the Internet Draft has been published, it will be, at 
the vendor's discretion, published as an Informational RFC or 
entered into standards track for publication as an Internet 
Standard RFC.

Therefore, please pass this email on as appropriate and 
contact Bernie Volz for more information.

- Bernie Volz

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Theodore Vojnovich <[email-masked]>
Date: Thu, 10 Mar 2005 14:35:28 -0700

We are using 201 thru 205 as vendor options in an upcoming product 
set/solution.  Can I get clarifcation on the site vs vendor.

Specifically, we are using option 60 to identify the client as a client 
that works in our solution.  Server response 43 would have the 201-205 
stuff.

Does this fall into "having to move or go to iana" or is this an except to 
the usage...not clear to me

Thanks

Ted Vojnovich
Blade Center Storage Solutions
L205 / B205
3039 Cornwallis Dr
RTP NC, 27709
Voice:  919-254-0730 (T/L 444-0730)
Fax: 919-543-2820
Cell Phone:   919-656-5061
Email:  [email-masked]

"Bernie Volz" <[email-masked]> 
Sent by: [email-masked]
03/09/2005 10:29 PM

To
<[email-masked]>
cc

Subject
[dhcwg] REMINDER - Notice - DHCPv4 options 128-223 soon to be IANA 
assignable(RFC 3942)

Hi:

                       Old ranges            New ranges

- Bernie Volz

---

From: "Bernie Volz" <[email-masked]>
Date: Fri, 11 Mar 2005 00:47:22 -0500

Ted:
 
As you encoding these vendor options (201-205) in option 43? If so, that is
not an issue for you -- RFC 3942 addresses only the main options, not the
sub-options inside other options.
 
If you want to use vendor specific options, I'd highly recommend using the
new Vendor Specific options - see RFC 3925
(http://www.ietf.org/rfc/rfc3925.txt).
 
There is no vendor specific range in the main set of options (1-254) and
we're reclaiming options 128-223 from the site-specific (which is NOT
vendor-specific) to be IANA assignable options. So, you should not use those
as they may conflict with future options.
 
- Bernie

  _____  

From: Theodore Vojnovich [mailto:[email-masked]] 
Sent: Thursday, March 10, 2005 4:35 PM
To: Bernie Volz
Cc: [email-masked]; [email-masked]
Subject: Re: [dhcwg] REMINDER - Notice - DHCPv4 options 128-223 soon to be
IANAassignable(RFC 3942)

Specifically, we are using option 60 to identify the client as a client that
works in our solution.  Server response 43 would have the 201-205 stuff. 

Thanks

Ted Vojnovich

03/09/2005 10:29 PM 

To
<[email-masked]> 

cc

Subject

Hi:

                      Old ranges            New ranges

- Bernie Volz

---

From: Timothy Legge <[email-masked]>
Date: Fri, 11 Mar 2005 07:25:24 -0400

> Just a friendly reminder ...
[snip]
> contact Bernie Volz for more information.

Hi Bernie

The Etherboot project is using six option (I believe we missed 3 the 
first time we responded).  They are: 128 129 130 150 175 177.

I started the required Internet Draft but have not yet finished it.  Can 
you confirm that these options are temporarily assigned to Etherboot as 
per the RFC.

I should be able to finish up the Internet Draft soon, can I contact you 
directly to determine whether I have the proper amount of details etc...

Regards

Tim Legge
Etherboot.org

---

From: "Bernie Volz" <[email-masked]>
Date: Fri, 11 Mar 2005 11:28:06 -0500

Hi Tim:

I haven't gone through all of the emails I've been keeping regarding the
various option numbers. I was planning to do that shortly before the May
22nd "deadline" -- I don't think IANA has been doing anything either, see
http://www.iana.org/assignments/bootp-dhcp-parameters, and they also expect
to address this around that time.

Note that the May 22nd date is the notification deadline.

I'd be happy to provide you some early comments on the draft.

- Bernie 

> -----Original Message-----
> From: Timothy Legge [mailto:[email-masked]] 
> Sent: Friday, March 11, 2005 6:25 AM
> To: Bernie Volz
> Cc: [email-masked]
> Subject: Re: [dhcwg] REMINDER - Notice - DHCPv4 options 
> 128-223 soon to be IANA assignable(RFC 3942)
> 
> Bernie Volz wrote: